Validation des versions de lots OSGi après les mises à niveau, les installations de Service Pack, de Feature Pack ou de Fix Pack.
L’outil ci-dessous vous permet de vérifier que les versions de lots OSGi installés dans votre instance AEM correspondent aux versions attendues de votre version AEM et de ses correctifs.  Cela est utile pour valider les mises à niveau AEM et les installations de Service Pack réussies.
 
Instructions :
  1. Copier / Coller le JSON de http://aemhost1:port/system/console/bundles.json dans le champ de texte JSON réel.
  2. Sélectionnez Version du produit et Version mineure à partir des deux menus déroulants pour remplir automatiquement le champ JSON attendu ou faites copier/coller JSON d’une autre instance AEM vers le champ JSON attendu (également possible à partir de http://aemhost2:port/system/console/bundles.json).
  3. Cliquez sur Comparer pour afficher les différences.
  4. Les lots similaires s’affichent en blanc, les versions différentes en jaune, les lots nouvellement ajoutés en aqua et les lots supprimés en rouge clair.
  5. Filtrez les données à l’aide de la case Filtre.
Version du produit :  Chargement...
JSON à partir de /system/console/bundles.json

Résultats de la comparaison
Filtre :
Nom symbolique Nom du lot Numéro de version prévu Numéro de version réel

 

 

* Nos remerciements à Sham Sundar Hassan Chikkegowda pour avoir fourni le code source original pour cet outil.  Vous pouvez accéder à son site personnel ici.